{ config, ... }:

let
  vars = import ./vars.nix;
  typhon_path = vars.primary_typhon;
in
{
  services.typhon = {
    enable = true;
    hashedPasswordFile = config.sops.secrets."typhon/hashedPassword".path;
    home = typhon_path;
  };

  sops.secrets = {
    "typhon/hashedPassword".owner = "root";
  };
}
